View Single Post
  #1  
Old 06-25-2018, 03:21 AM
 
Anastasia Zhavoronkova Anastasia Zhavoronkova is offline
 

X-Cart team
  
Join Date: Jun 2018
Posts: 14
 

Exclamation Important: freegeoip.net API shutdown, MultiCurrency for X-Cart 4 affected

If you are using the MultiCurrency module, your store may work wrong after the freegeoip.net API stops working on July, 1 (https://github.com/apilayer/freegeoip#readme ). There are two ways to prevent the issue:
  1. Apply the free patch available in your File Area (X-Cart 4 > Patches > MultiCurrency – freegeoip > [your X-Cart version]) and
    1. install the extension available here: https://secure.php.net/manual/en/geoip.installation.php (preferable)
      OR
    2. register an account here: https://ipstack.com/dashboard and enter the access (API) key in the General Settings page.
  2. In the module settings switch to MaxMind GeoIP API.
If your X-Cart version is 4.5.4 or lower, the patches will require adaptation, please contact our support team for help.
__________________
Nastya Zhavoronkova, X-Cart
Reply With Quote